kipi-plugins-0.1.4-r1 failed

Anything that pertains to Portage

Moderator: Moderators

kipi-plugins-0.1.4-r1 failed

Postby BoaR » Fri Sep 21, 2007 10:57

i dont know how to fix this or even if it's safe to remove it..
* media-plugins/kipi-plugins
Available versions: 0.1.0_rc1 (~)0.1.4 (~)0.1.4-r1 {arts debug elibc_FreeBSD gphoto2 ipod opengl xinerama}
Description: Plugins for the KDE Image Plugin Interface (libkipi).

.libs/texture.o: In function `KIPIviewer::Texture::setSize(QSize)':
texture.cpp:(.text+0x8f1): undefined reference to `QGLWidget::convertToGLFormat(QImage const&)'
texture.cpp:(.text+0x946): undefined reference to `QGLWidget::convertToGLFormat(QImage const&)'
collect2: ld returned 1 exit status
make[3]: *** [] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
* ERROR: media-plugins/kipi-plugins-0.1.4-r1 failed.
* Call stack:
*, line 1654: Called dyn_compile
*, line 990: Called qa_call 'src_compile'
*, line 44: Called src_compile
* kipi-plugins-0.1.4-r1.ebuild, line 58: Called kde_src_compile 'all'
* kde.eclass, line 340: Called kde_src_compile 'myconf' 'configure' 'make'
* kde.eclass, line 336: Called die
* died running emake, kde_src_compile:make
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/log/portage/media-plugins:kipi-plugins-0.1.4-r1:20070921-062634.log'.
Baby Hen
Posts: 15
Joined: Tue Sep 18, 2007 7:09

Re: kipi-plugins-0.1.4-r1 failed

Postby Necoro » Fri Sep 21, 2007 22:19

I guess you need to remerge qt with opengl flag enabled
User avatar
Advanced Hen
Posts: 242
Joined: Mon Apr 23, 2007 22:47
Location: Munich (Germany)

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest